%define upstream_name    Template-Plugin-Gravatar
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Configurable TT2-based generation of Gravatar URLs from email addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5) >= 2.250.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Template) >= 2.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
This plugin allows you to generate gravatar URLs from TT2 templates.

All of the options supported in Gravatars--default, rating, size, and
border--can be used here. The gravatar_id is generated from a given email.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.90.0-4pclos2017
- rebuild against updates

